Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGList.ListBuilder

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList.ListBuilder

All Implemented Interfaces:
  ListHandler

Enclosing class:
  AbstractSVGList

    protected class AbstractSVGList.ListBuilder

extends Object
implements ListHandler

A class for receiving notification of parsed list items.

Field Summary
`protected List` | `list` The list being built.

Constructor Summary
`protected` | `AbstractSVGList.ListBuilder()`

Method Summary
`void` | `endList()` Ends the construction of the list.
`List` | `getList()` Returns the newly created list.
`void` | `item(SVGItem item)` Adds an item to the list.
`void` | `startList()` Begins the construction of the list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected List list

  The list being built.

Constructor Detail

### AbstractSVGList.ListBuilder

    protected AbstractSVGList.ListBuilder()

Method Detail

### getList

    public List getList()

  Returns the newly created list.

### startList

    public void startList()

  Begins the construction of the list.

  Specified by:
    `startList` in interface `ListHandler`

### item

    public void item(SVGItem item)

  Adds an item to the list.

  Specified by:
    `item` in interface `ListHandler`
  Parameters:
    `item` - the new item to be added

### endList

    public void endList()

  Ends the construction of the list.

  Specified by:
    `endList` in interface `ListHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.